Axis2/C: http header

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http header
[http transport]

## Files
file | axis2_http_header.h
| axis2 HTTP Header name:value pair implementation

## Typedefs
typedef struct axis2_http_header | axis2_http_header_t
## Functions
AXIS2_EXTERN axis2_char_t * | axis2_http_header_to_external_form (axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_header_get_name (const axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_header_get_value (const axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_header_free (axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_header_create (const axutil_env_t *env, const axis2_char_t *name, const axis2_char_t *value)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_header_create_by_str (const axutil_env_t *env, const axis2_char_t *str)

## Detailed Description

Description

## Typedef Documentation

typedef struct axis2_http_header axis2_http_header_t

Type name for struct axis2_http_header

## Function Documentation

AXIS2_EXTERN axis2_http_header_t* axis2_http_header_create | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | name,
|  | const axis2_char_t * | value |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | name | pointer to name
  | value | pointer to value

AXIS2_EXTERN axis2_http_header_t* axis2_http_header_create_by_str | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | str | pointer to str

AXIS2_EXTERN void axis2_http_header_free | ( | axis2_http_header_t * | header,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | header | pointer to header
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_char_t* axis2_http_header_get_name | ( | const axis2_http_header_t * | header,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | header | pointer to header
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_header_get_value | ( | const axis2_http_header_t * | header,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | header | pointer to header
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_header_to_external_form | ( | axis2_http_header_t * | header,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | header | pointer to header
  | env | pointer to environment struct